Skip to content

Gets plans that are available for devices​

GET
/devices/plans

Gets plans that are available for the provided devices.
If multiple devices are provided, only plans that are available to all devices will be returned.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Header Parameters

X-Query

Optionally provide parameters as a JSON object in this header. X-Query values take precedence over query parameters for any overlapping fields.

Typestring
Example{"deviceIdentifiers":"ABC123,35987654321"}

Query Parameters

deviceIdentifiers

Comma separated device identifiers (serial, imei, id, etc.)

Typestring
_limit

Limit for pagination, default 10, max 10000

Typeinteger
_page

Page for pagination

Typeinteger
_include

Include additional data

Typearray

Responses​

OK

application/json
JSON
{
"data": [
{
"description": "string",
"displayName": "string",
"features": "string",
"id": 0,
"name": "string",
"onoWhitelistId": 0,
"prices": {
"eur": [
[
]
],
"gbp": [
[
]
],
"tax": "[Circular Reference]",
"usd": [
[
]
]
},
"sku": "string",
"sleepLimit": 0,
"wakeLimit": 0
}
],
"limit": 0,
"page": 0,
"totalElements": 0,
"totalPages": 0
}

Playground​

Authorization
Headers
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python